Projects
GET https://wdg.li/api/projects/
curl --request GET \
--url 'https://wdg.li/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wdg.li/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| api_documentation.parameters | Details | Description |
|---|---|---|
| search | api_documentation.optional api_documentation.string | api_documentation.filters.search |
| search_by | api_documentation.optional api_documentation.string | api_documentation.filters.search_by |
| datetime_field | api_documentation.optional api_documentation.string | api_documentation.allowed_values |
| datetime_start | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_start |
| datetime_end | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_end |
| order_by | api_documentation.optional api_documentation.string | api_documentation.filters.order_by |
| order_type | api_documentation.optional api_documentation.string | api_documentation.filters.order_by_type |
| page | api_documentation.optional api_documentation.int | api_documentation.filters.page |
| results_per_page | api_documentation.optional api_documentation.int | api_documentation.filters.results_per_page |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-11 11:45:15",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://wdg.li/api/projects?page=1",
"last": "https://wdg.li/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://wdg.li/api/projects?page=1"
}
}
GET https://wdg.li/api/projects/{project_id}
curl --request GET \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-06-11 11:45:15",
}
}
POST https://wdg.li/api/projects
| api_documentation.parameters | Details | Description |
|---|---|---|
| name | api_documentation.required api_documentation.string | - |
| color | api_documentation.optional api_documentation.string | - |
curl --request POST \
--url 'https://wdg.li/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://wdg.li/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://wdg.li/api/projects/{project_id}
| api_documentation.parameters | Details | Description |
|---|---|---|
| name | api_documentation.optional api_documentation.string | - |
| color | api_documentation.optional api_documentation.string | - |
curl --request POST \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://wdg.li/api/projects/{project_id}
curl --request DELETE \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://wdg.li/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \